# TimberAPIExample
The example plugin for TimberAPI

### **Shows the following features:**
1. Bind your code easily with depencency injection
2. Event listening of any event to get triggered on in game actions
3. A comprehensive UI component builder
4. Asset injection, provide your own icons or even unity bundles
5. Labels and localization support

## More Information can be found on the wiki
**[Timberborn Modding Wiki](https://github.com/Timberborn-Modding-Central/TimberAPI/wiki)**

## TimberAPI Documentation
**[Documentation for TimberAPI](https://github.com/Timberborn-Modding-Central/TimberAPI/wiki/TimberAPI-Feature-Guide)**

## Provided Sample Plugin with API examples
**[Example Plugin](https://github.com/Timberborn-Modding-Central/TimberAPI/blob/main/TimberAPIExample/TimberApiExamplePlugin.cs)**
